Subject: Re: [trill] Mail Shepherd's comments on draft-ietf-trill-oam-fm-03.txt

From: Liyizhou <[email-masked]>
Date: Thu, 19 Jun 2014 08:49:45 +0000

Hi Tissa,

" Upstream RBridge nickname" which occurred twice in 8.4.8 & 10.1.2 respectively should be "Previous RBridge nickname" in the document.

Yizhou

From: trill [mailto:[email-masked]] On Behalf Of Tissa Senevirathne (tsenevir)
Sent: Wednesday, May 28, 2014 3:59 AM
To: Susan Hares; [email-masked]; [email-masked]
Cc: 'Donald Eastlake'
Subject: Re: [trill] Mail Shepherd's comments on draft-ietf-trill-oam-fm-03.txt

Thanks Sue, will include the comments suggested.

From: trill [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Tuesday, May 27, 2014 12:50 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: 'Donald Eastlake'
Subject: [trill] Mail Shepherd's comments on draft-ietf-trill-oam-fm-03.txt

Authors and working group:

I respectfully submit the following shepherd's review below on the document quality.  I found no technical issues with the draft, but I would suggest the editorial changes below (required and suggested).  The full shepherd's report can be access via the draft's web page on the data tracker at:  https://datatracker.ietf.org/doc/draft-ietf-trill-oam-fm/

Please let me know if there are questions.  I want to thank Donald Eastlake for his early review of my comments.

Sue Hares

-------------

Document Quality

The TRILL OAM FM has implementations begun in the Cisco, Huawei, and other
router companies (2-3).  The co-authors on this draft are in touch with
the implementation teams at Cisco and Huawei, and in-touch with the 802.1 Task
group within the IEEE.

The document's text and logic is excellent.  Even with the  ~60 page length,
the shepherd found very few editorial issues. A  few minor nits listed below,
the authors will address promptly.

(3) Briefly describe the review of this document that was performed by
the Document Shepherd.  If this version of the document is not ready
for publication, please explain why the document is being forwarded to
the IESG.

Editorial issues: Fix regerences:

ISIS - mentioned (line 1483, 2203) - change to [IS-IS] and adjust.
Outdated references: RFC7172
draft-ietf-trill-fine-labeling has been published as
     RFC 7172
draft-ietf-trill-clear-correct has been published as
     RFC 7180
draft-ietf-trill-oam-framework has been published as
     RFC 7174

Outdated reference: draft-ietf-trill-rbridge-extension has been
     published as RFC 7179

Section 15.4 - requests return code for PTR request messages.
It is unclear which registry this section applies to. Please fix.

Shepherd's Editorial suggestions [This will be deleted after revision]
-------------------
section 2.0
add references to:
LBR - Loop Back Reply Message
MTVM - Multi-destination Tree Verification Message
MTVR - Multi-destination Tree Verification Reply Message
PT - Path Trace
PTR - Path Trace Message Reply Messaage

4.2.1 section page 11
change /or derive them from port defaults or the like/
    to /or derive them from port defaults or other defaults/

4.3.1 p. 12

change /<- This is the TRILL ingress function/
       to /This is the TRILL ingress function./

4.3.2 p. 12
 Change /<- This is the TRILL egress funciton/
  to    / This is the TRILL Egress Function./

4.3.3 p. 13
  Change / If the EtherType is TRILL but the multicast DA is not
           ALL-RBridge or if the EhterType is L2-IS-IS but the multicast Da/
      to / If the Ethertype is TRILL but the mutlicast DA is not
           ALL-Rbridge; or if the Ethertype is L2-IS-ISIS but the multicast DA/

6.0  p. 19
  Change / NOTE: LBM, MTV, PT are not subject to MA de-multipliexers./
      to / Note: LBM, MTV*, PT* are not subject to MA de-multiplixers./

6.1 p. 21
      change in figure /PT    MTV/ to /PT*  MTV*/

7. p. 22 - section 12. is odd in the text. Either use 12.0 or section 12

   Change / section 12. below for the theory/ to /change 12 below for the theory/

9.2.1 p. 37
   change /Assign/Assigns/

11.2.1 p. 42

  para 3 change /the originating RBridge/
             to /the originating RBridges does the following/

  indent para 4-10

  para 4 change /obtain/obtains/
  para 5 change /construct/constructs/
  para 6 change /TRILL OAM Application Identifier TLV MUST BE INCLUDED/
        to /INCLUDES the TRILL OAM Application Identifier TLV which MUST BE
            INCLUDED/

para 7 change /Op-code MUST/ to /incorporates Op-Code which MUST/
para 8 change /Include/Includes/
para 10 change /user./to /user; and/

12.
  para 1: change /Section 7./ to /Section 7/

16.2 [RFCclcorrect] to RFC7180
     [TRILLEXT] to RFC7179

---

From: Donald Eastlake <[email-masked]>
Date: Thu, 19 Jun 2014 12:05:36 -0400

Hi,

On Thu, Jun 19, 2014 at 4:49 AM, Liyizhou <[email-masked]> wrote:
>
> Hi Tissa,
>
> “ Upstream RBridge nickname” which occurred twice in 8.4.8 & 10.1.2 respectively should be “Previous RBridge nickname” in the document.

I agree. It is not that "upstream RBridge" is wrong but the official
name is "Previous RBridge nickname TLV" so, at the beginning of the
2nd paragraph in 8.4.8, the first word should be "Previous". And in
10.1.2, in the list of TLVs to include, the first one should be
"Previous ..." rather than "Upstream ...".

I also just noticed a really trivial glitch: the section numbers and
headings for 1., 2., 10., 10.1., 10.1.1., 10.1.2., 16.2., and 17. are
not flush-left, that is, they have a space before them (except for
16.2. which looks like it has two leading spaces) . You can see this
most easily in the htmlized view at
tools.ietf.org/html/draft-ietf-trill-oam-fm. Normally section headings
are bold face and if you click on the section number in the Table of
Contents, you go to that section. But for these sections, the section
number heading is not bold face and if you click on the section number
in the ToC, it does not go to that Section, so the htmlizing process
has not fully recognized them as headings.

The only other nit I am aware of is that there is one occurrence of
"[RF7180]" that should be "[RFC7180]". These are all so minor I'm not
sure if it warrants posting a new version...

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]